Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.dr3d
Class OdfSceneElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.OdfStylableElement
                                  org.odftoolkit.odfdom.dom.element.OdfStyleablePresentationElement
                                      org.odftoolkit.odfdom.dom.element.dr3d.OdfSceneElement

All Implemented Interfaces:
  Serializable, Cloneable, OdfStylePropertySet, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfScene

    public abstract class OdfSceneElement

extends OdfStyleablePresentationElement

DOM implementation of OpenDocument element dr3d:scene.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfStylableElement
`mFamily, mStyleNameAttrib`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfSceneElement(OdfFileDom aOwnerDoc)` Create the instance of OdfSceneElement

Method Summary
`OdfCubeElement` | `createCubeElement()` Create child element dr3d:cube.
`OdfDescElement` | `createDescElement()` Create child element svg:desc.
`OdfExtrudeElement` | `createExtrudeElement(String d, Integer viewBox)` Create child element dr3d:extrude.
`OdfGluePointElement` | `createGluePointElement(OdfNonNegativeInteger drawid, OdfLength x, OdfLength y, OdfEscapeDirectionType escapeDirection)` Create child element draw:glue-point.
`OdfLightElement` | `createLightElement(String direction)` Create child element dr3d:light.
`OdfRotateElement` | `createRotateElement(Integer viewBox, String d)` Create child element dr3d:rotate.
`OdfSceneElement` | `createSceneElement()` Create child element dr3d:scene.
`OdfSphereElement` | `createSphereElement()` Create child element dr3d:sphere.
`OdfTitleElement` | `createTitleElement()` Create child element svg:title.
`String` | `getAmbientColor()` Get value of attribute dr3d:ambient-color.
`OdfPositiveInteger` | `getAnchorPageNumber()` Get value of attribute text:anchor-page-number.
`OdfAnchorType` | `getAnchorType()` Get value of attribute text:anchor-type.
`OdfId` | `getCaptionId()` Get value of attribute draw:caption-id.
`OdfLength` | `getDistance()` Get value of attribute dr3d:distance.
`List<String>` | `getDrawClassNames()` Get value of attribute draw:class-names.
`String` | `getDrawid()` Get value of attribute draw:id.
`String` | `getDrawStyleName()` Get value of attribute draw:style-name.
`OdfCellAddress` | `getEndCellAddress()` Get value of attribute table:end-cell-address.
`OdfLength` | `getEndX()` Get value of attribute table:end-x.
`OdfLength` | `getEndY()` Get value of attribute table:end-y.
`OdfLength` | `getFocalLength()` Get value of attribute dr3d:focal-length.
`OdfLength` | `getHeight()` Get value of attribute svg:height.
`String` | `getLayer()` Get value of attribute draw:layer.
`OdfBoolean` | `getLightingMode()` Get value of attribute dr3d:lighting-mode.
`OdfName` | `getOdfName()` Get the element name
`List<String>` | `getPresentationClassNames()` Get value of attribute presentation:class-names.
`String` | `getPresentationStyleName()` Get value of attribute presentation:style-name.
`OdfProjectionType` | `getProjection()` Get value of attribute dr3d:projection.
`OdfShadeModeType` | `getShadeMode()` Get value of attribute dr3d:shade-mode.
`String` | `getShadowSlant()` Get value of attribute dr3d:shadow-slant.
`OdfBoolean` | `getTableBackground()` Get value of attribute table:table-background.
`String` | `getTransform()` Get value of attribute dr3d:transform.
`String` | `getVpn()` Get value of attribute dr3d:vpn.
`String` | `getVrp()` Get value of attribute dr3d:vrp.
`String` | `getVup()` Get value of attribute dr3d:vup.
`OdfLength` | `getWidth()` Get value of attribute svg:width.
`OdfLength` | `getX()` Get value of attribute svg:x.
`OdfId` | `getXmlid()` Get value of attribute xml:id.
`OdfLength` | `getY()` Get value of attribute svg:y.
`OdfNonNegativeInteger` | `getZIndex()` Get value of attribute draw:z-index.
`void` | `setAmbientColor(String ambientColor)` Set value of attribute dr3d:ambient-color.
`void` | `setAnchorPageNumber(OdfPositiveInteger anchorPageNumber)` Set value of attribute text:anchor-page-number.
`void` | `setAnchorType(OdfAnchorType anchorType)` Set value of attribute text:anchor-type.
`void` | `setCaptionId(OdfId captionId)` Set value of attribute draw:caption-id.
`void` | `setDistance(OdfLength distance)` Set value of attribute dr3d:distance.
`void` | `setDrawClassNames(OdfStyleNames drawClassNames)` Set value of attribute draw:class-names.
`void` | `setDrawid(String drawid)` Set value of attribute draw:id.
`void` | `setDrawStyleName(OdfStyleNameRef drawStyleName)` Set value of attribute draw:style-name.
`void` | `setEndCellAddress(OdfCellAddress endCellAddress)` Set value of attribute table:end-cell-address.
`void` | `setEndX(OdfLength endX)` Set value of attribute table:end-x.
`void` | `setEndY(OdfLength endY)` Set value of attribute table:end-y.
`void` | `setFocalLength(OdfLength focalLength)` Set value of attribute dr3d:focal-length.
`void` | `setHeight(OdfLength height)` Set value of attribute svg:height.
`void` | `setLayer(String layer)` Set value of attribute draw:layer.
`void` | `setLightingMode(OdfBoolean isLightingMode)` Set value of attribute dr3d:lighting-mode.
`void` | `setPresentationClassNames(OdfStyleNames presentationClassNames)` Set value of attribute presentation:class-names.
`void` | `setPresentationStyleName(OdfStyleNameRef presentationStyleName)` Set value of attribute presentation:style-name.
`void` | `setProjection(OdfProjectionType projection)` Set value of attribute dr3d:projection.
`void` | `setShadeMode(OdfShadeModeType shadeMode)` Set value of attribute dr3d:shade-mode.
`void` | `setShadowSlant(String shadowSlant)` Set value of attribute dr3d:shadow-slant.
`void` | `setTableBackground(OdfBoolean isTableBackground)` Set value of attribute table:table-background.
`void` | `setTransform(String transform)` Set value of attribute dr3d:transform.
`void` | `setVpn(String vpn)` Set value of attribute dr3d:vpn.
`void` | `setVrp(String vrp)` Set value of attribute dr3d:vrp.
`void` | `setVup(String vup)` Set value of attribute dr3d:vup.
`void` | `setWidth(OdfLength width)` Set value of attribute svg:width.
`void` | `setX(OdfLength x)` Set value of attribute svg:x.
`void` | `setXmlid(OdfId xmlid)` Set value of attribute xml:id.
`void` | `setY(OdfLength y)` Set value of attribute svg:y.
`void` | `setZIndex(OdfNonNegativeInteger zIndex)` Set value of attribute draw:z-index.

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfStyleablePresentationElement
`setAttributeNS`

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfStylableElement
`getAutomaticStyle, getAutomaticStyles, getDocumentStyle, getOrCreateUnqiueAutomaticStyle, getProperties, getProperty, getStrictProperties, getStyleFamily, getStyleName, hasAutomaticStyle, hasDocumentStyle, hasProperty, onInsertNode, onRemoveNode, removeProperty, reuseDocumentStyle, setDocumentStyle, setProperties, setProperty, setStyleName`

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfSceneElement

    public OdfSceneElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfSceneElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element dr3d:scene.

### getVrp

    public String getVrp()

  Get value of attribute dr3d:vrp.

  Returns:
    return the attribute which type is String

### setVrp

    public void setVrp(String vrp)

  Set value of attribute dr3d:vrp.

  Parameters:
    `vrp` - the attribute's type is String

### getVpn

    public String getVpn()

  Get value of attribute dr3d:vpn.

  Returns:
    return the attribute which type is String

### setVpn

    public void setVpn(String vpn)

  Set value of attribute dr3d:vpn.

  Parameters:
    `vpn` - the attribute's type is String

### getVup

    public String getVup()

  Get value of attribute dr3d:vup.

  Returns:
    return the attribute which type is String

### setVup

    public void setVup(String vup)

  Set value of attribute dr3d:vup.

  Parameters:
    `vup` - the attribute's type is String

### getProjection

    public OdfProjectionType getProjection()

  Get value of attribute dr3d:projection.

  Returns:
    return the attribute which type is OdfProjectionType

### setProjection

    public void setProjection(OdfProjectionType projection)

  Set value of attribute dr3d:projection.

  Parameters:
    `projection` - the attribute's type is OdfProjectionType

### getDistance

    public OdfLength getDistance()

  Get value of attribute dr3d:distance.

  Returns:
    return the attribute which type is OdfLength

### setDistance

    public void setDistance(OdfLength distance)

  Set value of attribute dr3d:distance.

  Parameters:
    `distance` - the attribute's type is OdfLength

### getFocalLength

    public OdfLength getFocalLength()

  Get value of attribute dr3d:focal-length.

  Returns:
    return the attribute which type is OdfLength

### setFocalLength

    public void setFocalLength(OdfLength focalLength)

  Set value of attribute dr3d:focal-length.

  Parameters:
    `focalLength` - the attribute's type is OdfLength

### getShadowSlant

    public String getShadowSlant()

  Get value of attribute dr3d:shadow-slant.

  Returns:
    return the attribute which type is String

### setShadowSlant

    public void setShadowSlant(String shadowSlant)

  Set value of attribute dr3d:shadow-slant.

  Parameters:
    `shadowSlant` - the attribute's type is String

### getShadeMode

    public OdfShadeModeType getShadeMode()

  Get value of attribute dr3d:shade-mode.

  Returns:
    return the attribute which type is OdfShadeModeType

### setShadeMode

    public void setShadeMode(OdfShadeModeType shadeMode)

  Set value of attribute dr3d:shade-mode.

  Parameters:
    `shadeMode` - the attribute's type is OdfShadeModeType

### getAmbientColor

    public String getAmbientColor()

  Get value of attribute dr3d:ambient-color.

  Returns:
    return the attribute which type is String

### setAmbientColor

    public void setAmbientColor(String ambientColor)

  Set value of attribute dr3d:ambient-color.

  Parameters:
    `ambientColor` - the attribute's type is String

### getLightingMode

    public OdfBoolean getLightingMode()

  Get value of attribute dr3d:lighting-mode.

  Returns:
    return the attribute which type is OdfBoolean

### setLightingMode

    public void setLightingMode(OdfBoolean isLightingMode)

  Set value of attribute dr3d:lighting-mode.

  Parameters:
    `isLightingMode` - the attribute's type is OdfBoolean

### getX

    public OdfLength getX()

  Get value of attribute svg:x.

  Returns:
    return the attribute which type is OdfLength

### setX

    public void setX(OdfLength x)

  Set value of attribute svg:x.

  Parameters:
    `x` - the attribute's type is OdfLength

### getY

    public OdfLength getY()

  Get value of attribute svg:y.

  Returns:
    return the attribute which type is OdfLength

### setY

    public void setY(OdfLength y)

  Set value of attribute svg:y.

  Parameters:
    `y` - the attribute's type is OdfLength

### getWidth

    public OdfLength getWidth()

  Get value of attribute svg:width.

  Returns:
    return the attribute which type is OdfLength

### setWidth

    public void setWidth(OdfLength width)

  Set value of attribute svg:width.

  Parameters:
    `width` - the attribute's type is OdfLength

### getHeight

    public OdfLength getHeight()

  Get value of attribute svg:height.

  Returns:
    return the attribute which type is OdfLength

### setHeight

    public void setHeight(OdfLength height)

  Set value of attribute svg:height.

  Parameters:
    `height` - the attribute's type is OdfLength

### getDrawStyleName

    public String getDrawStyleName()

  Get value of attribute draw:style-name.

  Returns:
    return the attribute which type is String

### setDrawStyleName

    public void setDrawStyleName(OdfStyleNameRef drawStyleName)

  Set value of attribute draw:style-name.

  Parameters:
    `drawStyleName` - the attribute's type is OdfStyleNameRef

### getDrawClassNames

    public List<String> getDrawClassNames()

  Get value of attribute draw:class-names.

  Returns:
    return the attribute which type is List

### setDrawClassNames

    public void setDrawClassNames(OdfStyleNames drawClassNames)

  Set value of attribute draw:class-names.

  Parameters:
    `drawClassNames` - the attribute's type is OdfStyleNames

### getPresentationStyleName

    public String getPresentationStyleName()

  Get value of attribute presentation:style-name.

  Returns:
    return the attribute which type is String

### setPresentationStyleName

    public void setPresentationStyleName(OdfStyleNameRef presentationStyleName)

  Set value of attribute presentation:style-name.

  Parameters:
    `presentationStyleName` - the attribute's type is OdfStyleNameRef

### getPresentationClassNames

    public List<String> getPresentationClassNames()

  Get value of attribute presentation:class-names.

  Returns:
    return the attribute which type is List

### setPresentationClassNames

    public void setPresentationClassNames(OdfStyleNames presentationClassNames)

  Set value of attribute presentation:class-names.

  Parameters:
    `presentationClassNames` - the attribute's type is OdfStyleNames

### getZIndex

    public OdfNonNegativeInteger getZIndex()

  Get value of attribute draw:z-index.

  Returns:
    return the attribute which type is OdfNonNegativeInteger

### setZIndex

    public void setZIndex(OdfNonNegativeInteger zIndex)

  Set value of attribute draw:z-index.

  Parameters:
    `zIndex` - the attribute's type is OdfNonNegativeInteger

### getDrawid

    public String getDrawid()

  Get value of attribute draw:id.

  Returns:
    return the attribute which type is String

### setDrawid

    public void setDrawid(String drawid)

  Set value of attribute draw:id.

  Parameters:
    `drawid` - the attribute's type is String

### getXmlid

    public OdfId getXmlid()

  Get value of attribute xml:id.

  Returns:
    return the attribute which type is OdfId

### setXmlid

    public void setXmlid(OdfId xmlid)

  Set value of attribute xml:id.

  Parameters:
    `xmlid` - the attribute's type is OdfId

### getLayer

    public String getLayer()

  Get value of attribute draw:layer.

  Returns:
    return the attribute which type is String

### setLayer

    public void setLayer(String layer)

  Set value of attribute draw:layer.

  Parameters:
    `layer` - the attribute's type is String

### getEndCellAddress

    public OdfCellAddress getEndCellAddress()

  Get value of attribute table:end-cell-address.

  Returns:
    return the attribute which type is OdfCellAddress

### setEndCellAddress

    public void setEndCellAddress(OdfCellAddress endCellAddress)

  Set value of attribute table:end-cell-address.

  Parameters:
    `endCellAddress` - the attribute's type is OdfCellAddress

### getEndX

    public OdfLength getEndX()

  Get value of attribute table:end-x.

  Returns:
    return the attribute which type is OdfLength

### setEndX

    public void setEndX(OdfLength endX)

  Set value of attribute table:end-x.

  Parameters:
    `endX` - the attribute's type is OdfLength

### getEndY

    public OdfLength getEndY()

  Get value of attribute table:end-y.

  Returns:
    return the attribute which type is OdfLength

### setEndY

    public void setEndY(OdfLength endY)

  Set value of attribute table:end-y.

  Parameters:
    `endY` - the attribute's type is OdfLength

### getTableBackground

    public OdfBoolean getTableBackground()

  Get value of attribute table:table-background.

  Returns:
    return the attribute which type is OdfBoolean

### setTableBackground

    public void setTableBackground(OdfBoolean isTableBackground)

  Set value of attribute table:table-background.

  Parameters:
    `isTableBackground` - the attribute's type is OdfBoolean

### getAnchorType

    public OdfAnchorType getAnchorType()

  Get value of attribute text:anchor-type.

  Returns:
    return the attribute which type is OdfAnchorType

### setAnchorType

    public void setAnchorType(OdfAnchorType anchorType)

  Set value of attribute text:anchor-type.

  Parameters:
    `anchorType` - the attribute's type is OdfAnchorType

### getAnchorPageNumber

    public OdfPositiveInteger getAnchorPageNumber()

  Get value of attribute text:anchor-page-number.

  Returns:
    return the attribute which type is OdfPositiveInteger

### setAnchorPageNumber

    public void setAnchorPageNumber(OdfPositiveInteger anchorPageNumber)

  Set value of attribute text:anchor-page-number.

  Parameters:
    `anchorPageNumber` - the attribute's type is OdfPositiveInteger

### getTransform

    public String getTransform()

  Get value of attribute dr3d:transform.

  Returns:
    return the attribute which type is String

### setTransform

    public void setTransform(String transform)

  Set value of attribute dr3d:transform.

  Parameters:
    `transform` - the attribute's type is String

### getCaptionId

    public OdfId getCaptionId()

  Get value of attribute draw:caption-id.

  Returns:
    return the attribute which type is OdfId

### setCaptionId

    public void setCaptionId(OdfId captionId)

  Set value of attribute draw:caption-id.

  Parameters:
    `captionId` - the attribute's type is OdfId

### createTitleElement

    public OdfTitleElement createTitleElement()

  Create child element svg:title.

  Returns:
    return the element svg:title

### createDescElement

    public OdfDescElement createDescElement()

  Create child element svg:desc.

  Returns:
    return the element svg:desc

### createLightElement

    public OdfLightElement createLightElement(String direction)

  Create child element dr3d:light.

  Parameters:
    `direction` - String
  Returns:
    return the element dr3d:light

### createSceneElement

    public OdfSceneElement createSceneElement()

  Create child element dr3d:scene.

  Returns:
    return the element dr3d:scene

### createExtrudeElement

    public OdfExtrudeElement createExtrudeElement(String d,
                                                  Integer viewBox)

  Create child element dr3d:extrude.

  Parameters:
    `d` - String
    `viewBox` - Integer
  Returns:
    return the element dr3d:extrude

### createSphereElement

    public OdfSphereElement createSphereElement()

  Create child element dr3d:sphere.

  Returns:
    return the element dr3d:sphere

### createRotateElement

    public OdfRotateElement createRotateElement(Integer viewBox,
                                                String d)

  Create child element dr3d:rotate.

  Parameters:
    `viewBox` - Integer
    `d` - String
  Returns:
    return the element dr3d:rotate

### createCubeElement

    public OdfCubeElement createCubeElement()

  Create child element dr3d:cube.

  Returns:
    return the element dr3d:cube

### createGluePointElement

    public OdfGluePointElement createGluePointElement(OdfNonNegativeInteger drawid,
                                                      OdfLength x,
                                                      OdfLength y,
                                                      OdfEscapeDirectionType escapeDirection)

  Create child element draw:glue-point.

  Parameters:
    `drawid` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfNonNegativeInteger
    `x` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfLength
    `y` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfLength
    `escapeDirection` - the attribute's type is OdfEscapeDirectionType, see draw:escape-direction at specification
  Returns:
    return the element draw:glue-point

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.